Project

General

Profile

action #46127

coordination #17436: [tools][functional][y][epic] tests must not have access to published repos, e.g. download.o.o on Tumbleweed -> remove all references to download.o.o from repos during installation and afterwards

[functional][y] test fails in firewall_enabled - we should test firewalld on upgrade scenario

Added by mlin7442 over 3 years ago. Updated over 3 years ago.

Status:
Resolved
Priority:
High
Assignee:
Category:
Bugs in existing tests
Target version:
-
Start date:
2019-01-15
Due date:
2019-02-26
% Done:

0%

Estimated time:
5.00 h
Difficulty:

Description

Observation

openQA test in scenario opensuse-15.1-DVD-x86_64-update_Leap_42.1_gnome@64bit-2G fails in
firewall_enabled

I supposed that with https://github.com/os-autoinst/os-autoinst-distri-opensuse/pull/6534 SuSEfirewall2 has not installed during upgrade, and SuSEfirewall2 is not existing in the DVD anymore since long time now, we should just check the firewalld status instead of susefirewall2 on upgraded system. the firewall() need to change.

Reproducible

Fails since (at least) Build 391.1 (current job)

Expected result

Last good: 390.1 (or more recent)

Further details

Always latest result in this scenario: latest

History

#1 Updated by riafarov over 3 years ago

  • Subject changed from test fails in firewall_enabled - we should test firewalld on upgrade scenario to [functional][y] test fails in firewall_enabled - we should test firewalld on upgrade scenario
  • Due date set to 2019-01-29
  • Priority changed from Normal to High
  • Parent task set to #17436

#2 Updated by riafarov over 3 years ago

  • Estimated time set to 5.00 h

#3 Updated by riafarov over 3 years ago

  • Status changed from New to Workable

riafarov is a good person to contact

#4 Updated by riafarov over 3 years ago

  • Assignee set to riafarov

#5 Updated by riafarov over 3 years ago

  • Status changed from Workable to Feedback

#6 Updated by lnussel over 3 years ago

SuSEfirewall2 deprecated but there is no auto migration to firewalld AFAIK no a test that asserts running firewalld after upgrade won't work.

#7 Updated by riafarov over 3 years ago

  • Status changed from Feedback to Blocked

https://bugzilla.suse.com/show_bug.cgi?id=1122769

Waiting for the result of the discussion in the bug.

#8 Updated by riafarov over 3 years ago

  • Due date changed from 2019-01-29 to 2019-02-26

Waiting for the feedback in the bug.

#9 Updated by mlin7442 over 3 years ago

SuSEfirewall2 has added to Leap 15.1 DVD.

#10 Updated by riafarov over 3 years ago

  • Status changed from Blocked to Resolved

Also available in: Atom PDF